/* Fo
 * fo-all-fo.h: Include header files for all formatting objects
 *
 * Copyright (C) 2001 Sun Microsystems
 * Copyright (C) 2007 Menteith Consulting Ltd
 *
 * See COPYING for the status of this software.
 */

#ifndef __FO_ALL_FO_H__
#define __FO_ALL_FO_H__

G_BEGIN_DECLS

/* "Unofficial" formatting objects */
#include <libfo/fo/fo-tree.h>
#include <libfo/fo/fo-text.h>
#include <libfo/fo/fo-block-block.h>
#include <libfo/fo/fo-block-layout.h>
#include <libfo/fo/fo-block-whitespace.h>
#include <libfo/fo/fo-wrapper-block.h>
#include <libfo/fo/fo-wrapper-inline.h>
#include <libfo/fo/fo-wrapper-inline-empty.h>
#include <libfo/fo/fo-wrapper-whitespace.h>

/* Formatting objects from XSL 1.0 Recommendation */
#include <libfo/fo/fo-basic-link.h>
#include <libfo/fo/fo-bidi-override.h>
#include <libfo/fo/fo-block-container.h>
#include <libfo/fo/fo-block.h>
#include <libfo/fo/fo-character.h>
#include <libfo/fo/fo-color-profile.h>
#include <libfo/fo/fo-conditional-page-master-reference.h>
#include <libfo/fo/fo-declarations.h>
#include <libfo/fo/fo-external-graphic.h>
#include <libfo/fo/fo-float.h>
#include <libfo/fo/fo-flow.h>
#include <libfo/fo/fo-footnote-body.h>
#include <libfo/fo/fo-footnote.h>
#include <libfo/fo/fo-initial-property-set.h>
#include <libfo/fo/fo-inline-container.h>
#include <libfo/fo/fo-inline.h>
#include <libfo/fo/fo-instream-foreign-object.h>
#include <libfo/fo/fo-layout-master-set.h>
#include <libfo/fo/fo-leader.h>
#include <libfo/fo/fo-list-block.h>
#include <libfo/fo/fo-list-item-body.h>
#include <libfo/fo/fo-list-item-label.h>
#include <libfo/fo/fo-list-item.h>
#include <libfo/fo/fo-marker.h>
#include <libfo/fo/fo-multi-case.h>
#include <libfo/fo/fo-multi-properties.h>
#include <libfo/fo/fo-multi-property-set.h>
#include <libfo/fo/fo-multi-switch.h>
#include <libfo/fo/fo-multi-toggle.h>
#include <libfo/fo/fo-page-number-citation.h>
#include <libfo/fo/fo-page-number.h>
#include <libfo/fo/fo-page-sequence-master.h>
#include <libfo/fo/fo-page-sequence.h>
#include <libfo/fo/fo-region-after.h>
#include <libfo/fo/fo-region-before.h>
#include <libfo/fo/fo-region-body.h>
#include <libfo/fo/fo-region-end.h>
#include <libfo/fo/fo-region-start.h>
#include <libfo/fo/fo-repeatable-page-master-alternatives.h>
#include <libfo/fo/fo-repeatable-page-master-reference.h>
#include <libfo/fo/fo-retrieve-marker.h>
#include <libfo/fo/fo-root.h>
#include <libfo/fo/fo-simple-page-master.h>
#include <libfo/fo/fo-single-page-master-reference.h>
#include <libfo/fo/fo-static-content.h>
#include <libfo/fo/fo-table-and-caption.h>
#include <libfo/fo/fo-table-body.h>
#include <libfo/fo/fo-table-caption.h>
#include <libfo/fo/fo-table-cell.h>
#include <libfo/fo/fo-table-column.h>
#include <libfo/fo/fo-table-footer.h>
#include <libfo/fo/fo-table-header.h>
#include <libfo/fo/fo-table-row.h>
#include <libfo/fo/fo-table.h>
#include <libfo/fo/fo-title.h>
#include <libfo/fo/fo-wrapper.h>

G_END_DECLS


#endif /* !__FO_ALL_FO_H__ */
